import Bot from '../../lib/bot';
import Dialog from '../../dialog';
import Command from '../../command';
import Dispatcher from './dispatcher';
import { RtmClient } from '@slack/client';
import IUser from './api/types/user';
import { IMessage } from './api/types/message';
export declare type Message = string | IMessage;
import Auth from './api/auth';
import Chat from './api/chat';
import Users from './api/users';
import Groups from './api/groups';
import Channels from './api/channels';
export default class Slackbot extends Bot<Message, IUser> {
    static dispatcher: Dispatcher;
    static oauthAccess: typeof Auth.access;
    id: string;
    botId: string;
    rtmClient: RtmClient;
    auth: Auth;
    chat: Chat;
    users: Users;
    groups: Groups;
    channels: Channels;
    constructor(options: {
        id?: string;
        botToken: string;
        appToken?: string;
        dialogs: (typeof Dialog)[];
        commands?: (typeof Command)[];
        dispatcher?: Dispatcher;
    });
    getUser(id: string): Promise<IUser>;
    formatMessage(message: Message, object: any): Message;
    sendMessage(chat: string, message: Message, options?: any): Promise<any>;
    onInteractiveMessage(payload: any): Message;
    markActionSelected(action: any, attachment: any): any;
    private onRtmMessage(payload);
    private initBot(token);
    private initApi(token);
}
