import Dialog from '../dialog';
import Command from '../command';
import IUserMessage from './types/user-message';
declare abstract class Bot<Message, User extends {
    id: string;
}> {
    IUser: User;
    IMessage: Message;
    private chats;
    private dialogs;
    private commands;
    constructor({dialogs, commands}: {
        dialogs: typeof Dialog[];
        commands?: typeof Command[];
    });
    onMessage(message: IUserMessage): Promise<void>;
    matchDialog(message: string): typeof Dialog;
    matchCommand(message: string): typeof Command;
    startDialog(DialogClass: typeof Dialog, chat: string, user: string, options?: {
        [key: string]: any;
    }): void;
    stopDialog(chat: string, user: string): void;
    abstract getUser(id: string): Promise<User>;
    abstract sendMessage(chat: string, message: Message): Promise<any>;
    abstract formatMessage(message: Message, object: any): Message;
    private getChat(id);
    private isCommand(message);
}
export default Bot;
