import Bot from './bot';
import Dialog from '../dialog';
import IUserMessage from './types/user-message';
export default class Chat {
    id: string;
    bot: Bot<any, any>;
    private dialogs;
    constructor(id: string, bot: Bot<any, any>);
    processMessage(message: IUserMessage): Promise<void>;
    startDialog(DialogClass: typeof Dialog, userId: string, options?: {
        [key: string]: any;
    }): Promise<Dialog<Bot<any, any>>>;
    stopDialog(userId: string): Promise<void>;
    private startFromMessage({user, text});
    private forwardMessageToDialog(dialog, message);
    private runDialog(dialog);
    private instantiateDialog(DialogClass, userId, options?);
    private removeDialog(dialog);
}
